<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLeadsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: leads
         */
        Schema::create('leads', function ($table) {
            $table->increments('id');
            $table->integer('contato_id')->nullable();
            $table->string('como_chegou_ate_nos', 3)->nullable();
            $table->string('segmento', 3)->nullable();
            $table->string('tipo_contato', 3)->nullable();
            $table->text('empreendimento')->nullable();
            $table->text('outras_informacoes')->nullable();
            $table->date('data_criacao')->nullable();
            $table->char('status', 50)->nullable();
            $table->text('motivo_status')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->string('slug', 200)->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('leads');
    }
}
