<?php

namespace Crm\Lead\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LeadTransformer extends TransformerAbstract
{
    public function transform(\Crm\Lead\Models\Lead $lead)
    {
        return [
            'id'                => $lead->getRouteKey(),
            'key'               => [
                'public'    => $lead->getPublicKey(),
                'route'     => $lead->getRouteKey(),
            ], 
            'contato_id'        => $lead->contato_id,
            'como_chegou_ate_nos' => $lead->como_chegou_ate_nos,
            'segmento'          => $lead->segmento,
            'tipo_contato'      => $lead->tipo_contato,
            'empreendimento'    => $lead->empreendimento,
            'outras_informacoes' => $lead->outras_informacoes,
            'data_criacao'      => $lead->data_criacao,
            'motivo_status'     => $lead->motivo_status,
            'user_id'           => $lead->user_id,
            'user_type'         => $lead->user_type,
            'slug'              => $lead->slug,
            'created_by'        => $lead->created_by,
            'updated_by'        => $lead->updated_by,
            'url'               => [
                'public'    => trans_url('lead/'.$lead->getPublicKey()),
                'user'      => guard_url('lead/lead/'.$lead->getRouteKey()),
            ], 
            'status'            => trans('app.'.$lead->status),
            'created_at'        => format_date($lead->created_at),
            'updated_at'        => format_date($lead->updated_at),
        ];
    }
}